import datetime

from django.db import models
from django.utils import timezone
from django.contrib import admin


# Create your models here.
class Question(models.Model):
    question_txt = models.CharField('Description', max_length=250)
   
    pub_date = models.DateTimeField('Date de publication')

    def __str__(self):
       return self.question_txt
    
    @admin.display(boolean=True, ordering='pub_date', description='Publié récamment')
    def was_published_recently(self):
        return self.pub_date >= timezone.now() - datetime.timedelta(days=1)

    

class Choice(models.Model):
    question = models.ForeignKey(Question, on_delete=models.CASCADE)
    choice_txt = models.CharField("Nom", max_length=200)
    votes = models.IntegerField( default=0)

    def __str__(self):
       return self.choice_txt

